﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadPersistenceFramework_PersistRadGridNewColumns : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable();
    }
    private DataTable GeneratingTable()
    {
        DataTable table = new DataTable();

        table.Columns.Add("Column1");
        table.Columns.Add("Column2");
        table.Columns.Add("Column3");
        table.Columns.Add("Column4");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add("Col1Row" + i, "Col2Row" + i, "Col3Row" + i, "Col4Row" + i);
        }

        return table;
    }
    protected void SaveState_Click(object sender, EventArgs e)
    {
        Session["CustomPersistenceSettingsKey"] = "kkk";
        string fileId = Session["CustomPersistenceSettingsKey"].ToString();
        RadPersistenceManager1.StorageProviderKey = fileId;
        RadPersistenceManager1.SaveState();
    }
    protected void LoadState_Click(object sender, EventArgs e)
    {
        string fileId = "kkk";
        RadPersistenceManager1.StorageProviderKey = fileId;
        RadPersistenceManager1.LoadState();
        RadGrid1.Rebind();
    }
}